/***********************************************************************
 *
 * PROJECT:  PalmXQ
 * FILE:     palmxqrsc.h
 * AUTHOR:   Cheok Yan Cheng
 *
 * DESCRIPTION: Constants for using in resource script
 *
 * LAST REVISION:  24/02/2002
 *
 ***********************************************************************/

#ifndef _PALMXQRSC_H
#define _PALMXQRSC_H

#define armThink                   1

// Main form
#define MainForm                1000
#define SetupForm               1001
#define LevelForm               1002
#define AboutForm               1003

// Menubar
#define MainMenuBar             1000
#define SetupMenuBar            1001

// Menu commands
#define MainNewGame             1000
#define MainComputerLight       1001  
#define MainComputerDark        1002
#define MainComputerStop        1003
#define MainComputerDepth       1004
#define MainComputerInfo        1005
#define MainFlipBoard           1006
#define MainSetupBoard          1007
#define SetupDone               1008
#define SetupCancel             1009
#define MainOptionsAboutPalmXQ  1010
#define MainOpenGame            1011
#define MainSaveGame            1012

// Alerts
#define CheckMateAlert          1001
#define RepeatedDrawAlert       1002
#define FiftyDrawAlert          1003
#define IllegalAlert            1004
#define SideAlert               1005
#define KingAlert               1006
#define PieceNumAlert           1007
#define PiecePosAlert           1008
#define KingInCheckAlert        1009
#define InfoAlert               1010
#define DepthAlert              1011
#define OpenAlert               1012
#define SaveAlert               1013
#define OSVersionAlert          1014
#define FieldAlert              1015
#define HistoryAlert            1016

// Controls
#define MainBoardGadget         1000
#define MainMoveList            1001
#define SetupBoardGadget        1002
#define SetupMoveList           1003
#define LevelButton1            1004
#define LevelButton2            1005
#define LevelButton3            1006
#define LevelButton4            1007
#define LevelField              1008
#define LevelOK                 1009
#define LevelCancel             1010
#define AboutOK                 1011
#define ComputerButtonNone      1012
#define ComputerButtonLight     1013
#define ComputerButtonDark      1014
#define MainRewind              1015

// Bitmaps
#define BmpDarkPawn             1000
#define BmpDarkAssistance       1001
#define BmpDarkElephant         1002
#define BmpDarkKnight           1003
#define BmpDarkCannon           1004
#define BmpDarkRook             1005
#define BmpDarkKing             1006
#define BmpLightPawn            1007
#define BmpLightAssistance      1008
#define BmpLightElephant        1009
#define BmpLightKnight          1010
#define BmpLightCannon          1011
#define BmpLightRook            1012
#define BmpLightKing            1013
#define BmpLargeIcon            1014

// String ID
#define SetupHelpStr            1000
#define DepthHelpStr            1001
#define LevelHelpStr            1002



#endif
