/***********************************************************************
 *
 * PROJECT: PalmXQ
 * FILE:    main.c
 * AUTHOR:  Cheok Yan Cheng
 *
 * DESCRIPTION: Main entry point for PalmXQ.
 *
 * LAST REVISION:   24/02/2002
 *
 ***********************************************************************/

#include <PalmOS.h>
#include "peal.h"


UInt32 PilotMain(UInt16 launchCode, MemPtr cmdPBP,
                 UInt16 launchFlags)
{
    Err  err;

    switch (launchCode)
    {
        case sysAppLaunchCmdNormalLaunch: {
            PealModule* m = PealLoadFromResources('armc', 1000);
            void *address = PealLookupSymbol(m, "Go");
            unsigned long result = PealCall(m, address, NULL);
            PealUnload(m);
            break;
        }

        default:
            break;
    }

    return err;
}

